<%
'### Test variables ###
Dim orderId, amount, curr, merchantId, merchantTitle, merchantUrl
orderId = "1"
amount = "100"
curr = "208"	'208 = DKK
merchantId= "123456"
merchantTitle= "dandomain"
merchantUrl= "https://pay.dandomain.dk"
%>

<!DOCTYPE html>
<html>
	<head>
		<title>DanDomain 3D Secure example</title>
		<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
		<script type="text/javascript" src="http://ajax.aspnetcdn.com/ajax/modernizr/modernizr-2.0.6-development-only.js"></script>
		<style type="text/css">
			.short { width:45px; }
			header, footer { font-family: Arial, Verdana; }
			footer { color: gray; }
		</style>
	</head>
	<body>
		<header>
			<h1>DanDomain 3D Secure example</h1>
		</header>
		<form action="https://pay.dandomain.dk/3d-secure/init.asp">
			<!-- Fields that require manual user interraction (used by Nets) -->
			<section>
				<table>
					<tbody>
						<tr>
							<td>Card type:</td>
							<td>
								<select name="CardLogo">
									<!-- Visa / Visa Electron -->
									<option value="1">Visa</option>
									<!-- MasterCard / Maestro -->
									<option value="2">MasterCard</option>
									<!-- JCB (J/Secure) -->
									<option value="3">JCB</option>
								</select>
							</td>
						</tr>
						<tr>
							<td>Card number:</td>
							<td>
								<!-- This field is required and may only contain digits -->
								<input name="CardNumber" type="number" required="required" maxlength="19" />
							</td>
						</tr>
						<tr>
							<td>Expires (month/year):</td>
							<td>
								<!-- This field is required and may only contain digits from 1 to 12 -->
								<input name="ExpireMonth" type="number" required="required" maxlength="2" class="short" />&nbsp;/
								<!-- This field is required and may only contain digits from 1 to 99 -->
								<input name="ExpireYear" type="number" required="required" maxlength="2" class="short" />
							</td>
						</tr>
						<tr>
							<td>CVC:</td>
							<td>
								<!-- This field may only contain exactly 3 digits -->
								<input name="CardCVC" type="number" maxlength="3" class="short" />
							</td>
						</tr>
					</tbody>
				</table>
			</section>
			<!-- Order related fields (used by Nets) -->
			<section>
				<!-- This field may only contain op to 20 characters -->
				<input name="OrderID" type="hidden" value="<%= orderId %>" />
				<!-- This field is required and may only contain op to 12 digits -->
				<input name="Amount" type="hidden" value="<%= amount %>" />
				<!-- This field is required and may only contain exactly 3 digits -->
				<input name="CurrencyID" type="hidden" value="<%= curr %>" />
				<!-- This field is required and may only contain op to 15 letters and/or digits -->
				<input name="MerchantNumber" type="hidden" value="<%= merchantId %>" />
				<!-- This field may only contain op to 25 letters and/or digits -->
				<input name="MerchantTitle" type="hidden" value="<%= merchantTitle %>" />
				<!-- This field contains a full URL to the merchants site -->
				<input name="MerchantUrl" type="hidden" value="<%= merchantUrl %>" />
			</section>
			<!-- Additional fields (used by DanDomain) -->
			<section>
				<input name="OKURL" type="hidden" />
				<input name="FAILURL" type="hidden" />
				<input name="OKStatusURL" type="hidden" />
				<input name="SessionID" type="hidden" />
				<input name="CheckSum" type="hidden" />
				<input name="CardTypeID" type="hidden" />
			</section>
			<input type="submit" value="Submit request" />
		</form>
		<footer>
			<p>
				&copy; DanDomain A/S
			</p>			
		</footer>
	</body>
</html>